CREATE SINK clicks_iceberg_sink
FROM
    clicks WITH (
    connector = 'iceberg',
    type = 'upsert',
    primary_key = 'user_id, ad_id, click_timestamp, impression_timestamp',
    warehouse.path = 's3://hummock001/iceberg-data',
    s3.endpoint = 'http://minio-0:9301',
    s3.access.key = 'hummockadmin',
    s3.secret.key = 'hummockadmin',
    s3.region = 'us-east-1',
    catalog.type = 'storage',
    database.name='demo_db',
    table.name='demo_table'
);
