#!/bin/zsh

set -eu


psql -h 0.0.0.0 -p 4566 -d dev -U root -f templates/create_sources.sql || true
psql -h 0.0.0.0 -p 4566 -d dev -U root -f templates/create_mvs.sql || true
psql -h 0.0.0.0 -p 4566 -d dev -U root -f templates/create_iceberg_sink.sql || true
psql -h 0.0.0.0 -p 4566 -d dev -U root -f templates/create_clickhouse_sink.sql || true

./docker-exec.sh exec spark bash /spark-script/run_sql.sh create-table
./docker-exec.sh exec spark bash /spark-script/run_sql.sh query-table

